local rand = math.random
local terrain_quads = require 'terrain_quads'
local character_quads = require 'character_quads'
local fog_quad = 3
local create_world_map = function(map_width, map_height)
    local map = {}
    for y=1, map_height do
        map[y] = {}
        for x=1, map_width do
            local terrain_type = rand(#terrain_quads)
            local show_character = rand(5) == 1 and true or false
            local character_type = rand(#character_quads)
            local character_colour = {
                rand(),
                rand(),
                rand()
            }
            local show_fog = rand(6)==1 and true or false
            map[y][x] = {
              x_pos = ((x-1) * TILE_SIZE),
              y_pos = ((y-1) * TILE_SIZE),
              map_lower = terrain_quads[terrain_type].map_lower,
              map_upper = terrain_quads[terrain_type].map_upper,
              character = show_character and character_quads[character_type].quad,
              character_colour = show_character and character_colour,
              character_colour_quad = show_character and character_quads[character_type].colour_quad,
              fog = show_fog and fog_quad
            }
        end
    end
    return map
end
return create_world_map