local lg = love.graphics
local string_format = string.format
local debug_info = function(spritebatch_count, font)

    local str = 'debug:'
    local stats = lg.getStats()
    str = str..'\n'..string_format('drawcalls: %.2f', stats.drawcalls)
    str = str..'\n'..string_format('canvasswitches: %.2f', stats.canvasswitches)
    str = str..'\n'..string_format("VRAM - Estimated texture memory used: %.2f MB", stats.texturememory / 1024 / 1024)
    str = str..'\n'..string_format('images: %.2f', stats.images)
    str = str..'\n'..string_format('canvases: %.2f', stats.canvases)
    str = str..'\n'..string_format('fonts: %.2f', stats.fonts)
    str = str..'\n'..string_format('drawcallsbatched: %.2f', stats.drawcallsbatched)
    -- additional info
    str = str..'\n'..string_format("FPS: %3d", love.timer.getFPS())
    local ram = collectgarbage("count")
    str = str..'\n'..string_format('RAM: %.2f KB', ram / 1024)
    --spritebatch count
    str = str..'\nTotal sprites: '..tostring(spritebatch_count)

    local w,h
    w = font:getWidth(str)
    h = font:getHeight() * 12

    return str, w, h
end
return debug_info
