local lg = love.graphics
local texture, quads

local function generate_quads(atlas, tilewidth, tileheight, boundary)
    --optional boundary parameter
    local boundary = boundary or 0
    --Calculate sheet/sprite dimensions
    local atlas_w, atlas_h = atlas:getDimensions()
    local sheetWidth = atlas_w / (tilewidth + boundary*2)
    local sheetHeight = atlas_h / (tileheight + boundary*2)
    local sheetCounter = 1
    local spritesheet = {}
    --loop
    for y = 0, sheetHeight - 1 do
        for x = 0, sheetWidth - 1 do
            spritesheet[sheetCounter] =
                lg.newQuad((x * tilewidth) + ((boundary*2) * x),
                            (y * tileheight) + ((boundary*2) * y),
                            tilewidth + (boundary*2), tileheight + (boundary*2), atlas_w, atlas_h)
            sheetCounter = sheetCounter + 1
        end
    end
    return spritesheet
end

local init = function()
    texture = lg.newImage('spritesheet.png')
    quads = generate_quads(texture, TILE_SIZE, TILE_SIZE, 1)
end

local get = function()
    return texture, quads
end

local spritesheet = {
    init = init,
    get = get
}
return spritesheet